MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0031086Community[OCCT] OCCT:Codingpublic2019-10-18 19:572020-09-05 12:35
Reporterdrazmyslovich 
Assigned Tobugmaster 
PrioritynormalSeveritytrivial 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.4.0 
Target Version[OCCT] 7.5.0Fixed in Version 
Summary0031086: Coding Rules - STEPCAFControl_Reader has virtual functions, but no virtual destructor
DescriptionGCC produces a warning
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships

-  Notes
(0089599)
kgv (developer)
2019-12-17 13:47
edited on: 2019-12-17 13:47

> GCC produces a warning
When compiler warnings are reported, it is instrumental to report exact message, compiler version and building flags (if non-default).

(0093691)
git (administrator)
2020-08-28 14:08

Branch CR31086 has been created by kgv.

SHA-1: 522ec9c02023e41d8f698afb24047a496414749f


Detailed log of new commits:

Author: kgv
Date: Fri Aug 28 14:10:43 2020 +0300

    0031086: Coding Rules - STEPCAFControl_Reader has virtual functions, but no virtual destructor
    
    Added missing virtual destructor.
(0093695)
kgv (developer)
2020-08-28 14:50

Please raise the patch:
- OCCT branch: CR31086

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR31086-master-KGV [^]
(0093730)
bugmaster (administrator)
2020-08-30 11:01

Combination -
OCCT branch : IR-2020-08-28
master SHA - 68a23293059aefbc5feeb43dbbe92e728944f170
a206de37fbfa0bf71bd534ae47192bbec23b8522
Products branch : IR-2020-08-28 SHA - 231cf318a348ade96332c8dca2b8aa3ffa18d6cf
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17249.00000000021 / 17322.48000000014 [-0.42%]
Products
Total CPU difference: 12007.590000000067 / 11882.730000000085 [+1.05%]
Windows-64-VC14:
OCCT
Total CPU difference: 18729.984375 / 18716.078125 [+0.07%]
Products
Total CPU difference: 13222.90625 / 13242.09375 [-0.14%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0094100)
git (administrator)
2020-09-05 12:35

Branch CR31086 has been deleted by inv.

SHA-1: 522ec9c02023e41d8f698afb24047a496414749f

- Related Changesets
occt: master 90bc1adb
Timestamp: 2020-08-28 11:10:43
Author: kgv
Committer: bugmaster
Details ] Diff ]
0031086: Coding Rules - STEPCAFControl_Reader has virtual functions, but no virtual destructor

Added missing virtual destructor.
mod - src/STEPCAFControl/STEPCAFControl_Reader.cxx Diff ] File ]
mod - src/STEPCAFControl/STEPCAFControl_Reader.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2019-10-18 19:57 drazmyslovich New Issue
2019-10-18 19:57 drazmyslovich Assigned To => gka
2019-12-17 13:46 kgv Relationship added child of 0030694
2019-12-17 13:47 kgv Note Added: 0089599
2019-12-17 13:47 kgv Assigned To gka => kgv
2019-12-17 13:47 kgv Category OCCT:Data Exchange => OCCT:Coding
2019-12-17 13:47 kgv Summary STEPCAFControl_Reader has virtual functions, but no virtual destructor => Coding Rules - STEPCAFControl_Reader has virtual functions, but no virtual destructor
2019-12-17 13:47 kgv Note Edited: 0089599 View Revisions
2020-08-28 14:08 git Note Added: 0093691
2020-08-28 14:50 kgv Note Added: 0093695
2020-08-28 14:50 kgv Assigned To kgv => bugmaster
2020-08-28 14:50 kgv Severity minor => trivial
2020-08-28 14:50 kgv Status new => resolved
2020-08-28 14:50 kgv Status resolved => reviewed
2020-08-30 11:01 bugmaster Note Added: 0093730
2020-08-30 11:01 bugmaster Status reviewed => tested
2020-08-30 11:14 bugmaster Test case number => Not required
2020-08-30 11:33 bugmaster Changeset attached => occt master 90bc1adb
2020-08-30 11:33 bugmaster Status tested => verified
2020-08-30 11:33 bugmaster Resolution open => fixed
2020-09-05 12:35 git Note Added: 0094100


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker